ListBoxEx = {};

function ListBoxExAddFolder(ObjectName, Folder)
	ListBox.DeleteItem(ObjectName,LB_ALLITEMS);
	files = File.Find(Folder,"*.*");	
	for index, value in files do
		ListBox.AddItem(ObjectName,value);
	end
end

ListBoxEx.AddFolder = ListBoxExAddFolder;